{ nixpkgs ? import <nixpkgs> { }
, ghc ? nixpkgs.ghc
}:

with nixpkgs;

let
  version = "2017-04-09";
in

# https://github.com/NixOS/nixpkgs/blob/master/doc/languages-frameworks/haskell.md
# https://github.com/NixOS/nixpkgs/blob/master/pkgs/development/haskell-modules/generic-stack-builder.nix
# https://github.com/NixOS/nixpkgs/pull/11687

haskell.lib.buildStackProject {
  name = "himes-${version}";

  src = fetchgit {
    url = "https://gogs.prunetwork.fr/HIMES/himes.git";
  };
  #src = fetchgit {
  #  url = "https://gogs.prunetwork.fr/HIMES/himes.git";
  #  rev = "8a2a50b95c027838204809caa7029e8350fd7585";
  #  sha256 = "0wnwhkjv7vq6m4xkiahf4m18zg3dr51zydzjnmy1d7hdqawh55pn";
  #};
  #buildInputs = [ stack himes-src];
  buildInputs = [ stack nix zlib ];
  inherit ghc;
}

#stdenv.mkDerivation rec {
