{ supportedSystems ? [ "x86_64-linux" ]
, nixpkgs ? import <nixpkgs> {}
}:

with (import <nixpkgs/pkgs/top-level/release-lib.nix> { inherit supportedSystems; });

{
  jpierre03.blog_r6d.master                 = import ./github-r6d-MASTER.nix;
  jpierre03.blog_r6d.tag                    = import ./github-r6d-TAG.nix;
  jpierre03.gallery.master                  = import ./gogs-jpierre03-gallery-MASTER.nix;
  jpierre03.gallery.tag                     = import ./gogs-jpierre03-gallery-TAG.nix;
  jpierre03.gogs_jpierre03_homepage.master  = import ./gogs-jpierre03-homepage-MASTER.nix;
  jpierre03.gogs_jpierre03_homepage.tag     = import ./gogs-jpierre03-homepage-TAG.nix;
  jpierre03.blog_lothy_recette.master       = import ./blog-lothy-recette-MASTER.nix;
  jpierre03.blog_lothy_recette.tag          = import ./blog-lothy-recette-TAG.nix;
  jpierre03.gogs_openlayer.master           = import ./gogs-openlayer-MASTER.nix;
  jpierre03.gogs_openlayer.tag              = import ./gogs-openlayer-TAG.nix;

  ###################
  jpierre03.blog_sandbox = import ./blog-sandbox.nix;
  #jpierre03.blog_sandbox.tag = import ./blog-sandbox.nix;

  jpierre03.random = import ./random.nix;

  #jpierre03.osm2pgsql = import ./osm2pgsql.nix;

  teleragno.www.tag = import ./github-teleragno-www-TAG.nix;
  teleragno.www.MASTER = import ./github-teleragno-www-MASTER.nix;

  midpix.slibtool = import ./midipix.nix;

  r6d.base = import ./r6d-base.nix;
  r6d.geos = import ./geos.nix;
  #r6d.idea14-ultimate = import ./idea/default.nix { inherit nixpkgs;};
  r6d.osm2pgsql = import ./osm2pgsql/default.nix;

  himes.himes = import haskell/default.nix;
} /*  // {
  # Simply assign a derivation to an attribute to have it built.
  hello_world_1 = pkgs_x86_64_linux.hello;

  # 'hydraJob' strips all non-essential attributes.
  hello_world_2 = pkgs.lib.hydraJob pkgs_x86_64_linux.hello;

} // mapTestOn {

  # Fancy shortcut to generate one attribute per supported platform.
  hello = supportedSystems;
} */
